| Opcode | Instruction   | Op/En | 64-Bit Mode | Compat/Leg Mode | Description                                         |
| ------ | ------------- | ----- | ----------- | --------------- | --------------------------------------------------- |
| E6 ib  | OUT imm8, AL  | I     | Valid       | Valid           | Output byte in AL to I/O port address imm8.         |
| E7 ib  | OUT imm8, AX  | I     | Valid       | Valid           | Output word in AX to I/O port address imm8.         |
| E7 ib  | OUT imm8, EAX | I     | Valid       | Valid           | Output doubleword in EAX to I/O port address imm8.  |
| EE     | OUT DX, AL    | ZO    | Valid       | Valid           | Output byte in AL to I/O port address in DX.        |
| EF     | OUT DX, AX    | ZO    | Valid       | Valid           | Output word in AX to I/O port address in DX.        |
| EF     | OUT DX, EAX   | ZO    | Valid       | Valid           | Output doubleword in EAX to I/O port address in DX. |