| Opcode | Instruction  | Op/En | 64-Bit Mode | Compat/Leg Mode | Description                                      |
| ------ | ------------ | ----- | ----------- | --------------- | ------------------------------------------------ |
| E4 ib  | IN AL, imm8  | I     | Valid       | Valid           | Input byte from imm8 I/O port address into AL.   |
| E5 ib  | IN AX, imm8  | I     | Valid       | Valid           | Input word from imm8 I/O port address into AX.   |
| E5 ib  | IN EAX, imm8 | I     | Valid       | Valid           | Input dword from imm8 I/O port address into EAX. |
| EC     | IN AL,DX     | ZO    | Valid       | Valid           | Input byte from I/O port in DX into AL.          |
| ED     | IN AX,DX     | ZO    | Valid       | Valid           | Input word from I/O port in DX into AX.          |
| ED     | IN EAX,DX    | ZO    | Valid       | Valid           | Input doubleword from I/O port in DX into EAX.   |