
| **Обозначение в командах** |   **Флаги**    | **Условие**                                       |
| --------------------------:|:--------------:| ------------------------------------------------- |
|                    a / nbe |  CF=0 и ZF=0   | "выше" или "не ниже или равно" (беззнаковый тип)                   |
|               ae / nb / nc |      CF=0      | "выше или равно" или "не ниже" или "нет переноса" |
|                b / nae / c |      CF=1      | "ниже" или "не выше или равно" или "есть перенос" |
|                    be / na | CF=1 или ZF=1  | "ниже или равно" или "не выше"                    |
|                      e / z |      ZF=1      | "равно" или "ноль"                                |
|                    ne / nz |      ZF=0      | "не равно" или "не ноль"                          |
|                    g / nle |  ZF=0 и SF=OF  | "больше" или "не меньше или равно"                |
|                    ge / nl |     SF=OF      | "больше или равно" или "не меньше"                |
|                    l / nge |     SF≠OF      | "меньше" или "не больше или равно"                |
|                    le / ng | ZF=0 или SF≠OF | "меньше или равно" или "не больше"                |
|                         no |      OF=0      | "нет переполнения"                                |
|                          o |      OF=1      | "есть переполнение"                               |
|                    np / po |      PF=0      | "нет четности" или "нечетное"                     |
|                     p / pe |      PF=1      | "есть четность" или "четное"                      |
|                         ns |      SF=0      | "нет знака"                                       |
|                          s |      SF=1      | "есть знак"                                       |